import * as Bull from 'bull';
import { Connector } from 'loopback-connector';
export declare class BullConnector extends Connector {
    name: string;
    private queues;
    private queuesIndex;
    constructor(settings: Options);
    queueForName(name: string): Bull.Queue | undefined;
    setupQueue(settings: Options): void;
    readonly DataAccessObject: {
        [property: string]: any;
        getConnector: () => BullConnector;
    };
    connect(): void;
    disconnect(cb: any): any;
    ping(): void;
}
export declare type Options = IAnyObject<any>;
export interface IAnyObject<T = any> {
    [property: string]: T;
}
